Class Specialization
Source
Pipelining adaptor for arbitrary containers or iterators.

Pipe

Source

Pipe<TInput, Source<> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of container or iterator this module reads from.

Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52